### Method

# Tsparql SparqlStatement execute_async

#### Declaration [src]

    void
    tracker_sparql_statement_execute_async (
      TrackerSparqlStatement* stmt,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Executes asynchronously the `SELECT` or `ASK` SPARQL query with the currently bound values.

This function also works for `DESCRIBE` and `CONSTRUCT` queries that retrieve data from the triple store. These query forms that return RDF data are however more useful together with `tracker_sparql_statement_serialize_async()`.

This function should only be called on `TrackerSparqlStatement` objects obtained through `tracker_sparql_connection_query_statement()` or SELECT/CONSTRUCT/DESCRIBE statements loaded through `tracker_sparql_connection_load_statement_from_gresource()`. An error will be raised if this method is called on a `INSERT` or `DELETE` SPARQL query.

This method completes asynchronously. Use `tracker_sparql_statement_execute_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.